Bug 803637 - nfs-nlm: lock not honoured if tried from different clients on same file
nfs-nlm: lock not honoured if tried from different clients on same file
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Vinayaga Raman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 06:28 EDT by Saurabh
Modified: 2016-01-19 01:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-02 06:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-03-15 06:28:21 EDT
Description of problem:
mounted the same file on different clients and then tried to put up the exclusive  lock on same region of single file. both of them were able to hold the lock.

Version-Release number of selected component (if applicable):
3.3.0qa28

How reproducible:
always

Steps to Reproduce:
1. nfs mount a volume on two different clients
2. try to put the lock on same region of same file 
3.
  
Actual results:
the lock is simultaneously acquired

Expected results:
if lock is already held then other other should as lock mechanism used in script is blocking locks.

Additional info:
Comment 1 Krishna Srinivas 2012-03-19 08:03:51 EDT
Just confirmed with Saurabh that there was a problem with the test script. Exclusive locking is working fine.

Note You need to log in before you can comment on or make changes to this bug.